<div id="Dashboard">
    <div class="container-fluid mt-5" v-if="this.$route.path === '/dashboard'">
        <h1 class="text-center">Benvenuto nella dashboard!</h1>
        <h5 class="text-center my-4">
            Utilizza la barra laterale per vedere tutte le funzioni disponibili.
        </h5>

        <b-alert :show="!isShopValidated && this.$store.getters.accountTypeId === 3" variant="secondary"
                 class="w-50 ml-auto mr-auto text-center my-5">
            <h5>Stiamo verificando i dati del tuo negozio. A breve sarà pubblicato sulla piattaforma!</h5>
        </b-alert>

        <b-alert :show="this.$store.getters.accountTypeId === 3"
                 variant="primary"
                 class="mx-auto w-50 my-5 text-center"
        >
            Se hai bisogno di supporto tecnico contattaci su questa mail:
            <b-link target="_blank" href="mailto:negoziacasatua@comune.desenzano.brescia.it">
                negoziacasatua@comune.desenzano.brescia.it
            </b-link>
        </b-alert>

        <div v-if="$store.getters.accountTypeId === 1 ||
            $store.getters.accountTypeId === 2"
             class="mt-5">
            <b-alert variant="success"
                     class="w-50 text-center ml-auto mr-auto"
                     :show="nShopsToValidate !== null && nShopsToValidate !== 0">
                <h5>Negozi da validare: {{ nShopsToValidate }}</h5>
            </b-alert>
        </div>
    </div>

    <router-view class="mt-5"/>

    <b-modal id="error-modal">
        <p style="color: red;">{{ error }}</p>
    </b-modal>
</div>
